%define ver 1.0.4
%define rel 1
%define prefix /usr

Name: 		sylpheed
Version:	%{ver}
Release:	%{rel}
Source:		%{name}-%{ver}.tar.bz2
Copyright:	GPL
URL:		http://sylpheed-claws.sourceforge.net/
Summary:	a GTK+ based, lightweight, and fast e-mail client
Requires: 	gtk+ >= 1.2.6 gpgme
Group:		Productivity/Networking/Email/Clients
Packager:	Jens Oberender <j.obi@troja.net>
Buildroot:	/var/tmp/%{name}-root


%description
Sylpheed is an e-mail client and news reader based on GTK+ running
   on the X Window System that aims for * Quick response

* Graceful and sophisticated interface

* Easy configuration, intuitive operation

* Abundant features The appearance and interface are similar to some
   popular e-mail clients for Windows, such as Outlook Express,
   Becky!, and Datula. The interface is also designed to emulate the
   mailers on Emacsen. Almost all commands are accessible with the
   keyboard.

The messages are managed by MH format and you can use it together with
another mailer based on MH format (like Mew). You can also utilize
fetchmail, procmail, and external programs on receiving (like inc or
imget).

Authors:
--------
    Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
    and others, have a look in AUTHORS

%prep
rm -rf $RPM_BUILD_ROOT

%setup

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
                --mandir=%{_mandir} \
                --prefix=%{prefix} \
                --infodir=%{_infodir} \
                --sysconfdir=%{_sysconfdir} \
                --enable-ldap \
                --enable-ipv6 \
                --enable-gpgme \
                --enable-openssl \
                --enable-jpilot \
                --enable-aspell
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install
# Tools
cp -r tools $RPM_BUILD_ROOT%{prefix}/share/sylpheed
rm $RPM_BUILD_ROOT%{prefix}/share/sylpheed/tools/Makefile*
mv $RPM_BUILD_ROOT%{prefix}/share/sylpheed/tools/README ./README.tools
# fixing permissions
pushd $RPM_BUILD_ROOT%{prefix}/share/sylpheed
find . -name "*.xpm" -o -name ".directory" | xargs chmod 644
popd


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{prefix}/bin/sylpheed
%{prefix}/%{_lib}/sylpheed
%{prefix}/share/sylpheed
%_mandir/man1/sylpheed.1.gz
%doc ABOUT-NLS AUTHORS COPYING ChangeLog ChangeLog.claws ChangeLog.jp README README.claws README.tools README.jp INSTALL TODO TODO.jp

%changelog
* Thu Jul 1 2003 Jens Oberender <j.obi@troja.net>
- updated the filesection
- moved tools to /usr/share/sylpheed
- no windowmanager specific icons and desktop entries

* Sun Nov 10 2002 Jens Oberender <j.obi@troja.net>
- changed spec.in for claws
- shortend the changelog

* Tue Jan 9 2001 Yoichi Imai <yoichi@silver-forest.com>
- edited for spec.in

* Tue Jan 2 2001 Hiroyuki Yamamoto <hiro-y@kcn.ne.jp>
- updated to 0.4.51
